OpenTTD GameScript API: GSStationList_CargoPlannedViaByFrom Class Reference

OpenTTD GameScript API 14.0

Public Member Functions
GSStationList_CargoPlannedViaByFrom Class Reference

Creates a list of origin stations of cargo planned to pass a station going via another station, with the monthly amounts of cargo planned for each of those origin stations as values. More...

Inheritance diagram for GSStationList_CargoPlannedViaByFrom:

## Public Member Functions
| GSStationList_CargoPlannedViaByFrom (StationID station_id, CargoID cargo, StationID via)
Public Member Functions inherited from GSStationList_CargoPlanned
| GSStationList_CargoPlanned (GSStationList_Cargo::CargoSelector selector, StationID station_id, CargoID cargo, StationID other_station)
| Creates a list of stations associated with cargo planned to pass the station, selected and grouped by the chosen criteria. More...
Public Member Functions inherited from GSStationList_Cargo
| GSStationList_Cargo (GSStationList_Cargo::CargoMode mode, GSStationList_Cargo::CargoSelector selector, StationID station_id, CargoID cargo, StationID other_station)
| Creates a list of stations associated with cargo in the specified way, selected and grouped by the chosen criteria. More...
Public Member Functions inherited from GSList
void | AddItem (SQInteger item, SQInteger value)
| Add a single item to the list. More...
void | RemoveItem (SQInteger item)
| Remove a single item from the list. More...
void | Clear ()
| Clear the list, making Count() returning 0 and IsEmpty() returning true.
bool | HasItem (SQInteger item)
| Check if an item is in the list. More...
SQInteger | Begin ()
| Go to the beginning of the list and return the item. More...
SQInteger | Next ()
| Go to the next item in the list and return the item. More...
bool | IsEmpty ()
| Check if a list is empty. More...
bool | IsEnd ()
| Check if there is a element left. More...
SQInteger | Count ()
| Returns the amount of items in the list. More...
SQInteger | GetValue (SQInteger item)
| Get the value that belongs to this item. More...
bool | SetValue (SQInteger item, SQInteger value)
| Set a value of an item directly. More...
void | Sort (SorterType sorter, bool ascending)
| Sort this list by the given sorter and direction. More...
void | AddList (GSList *list)
| Add one list to another one. More...
void | SwapList (GSList *list)
| Swap the contents of two lists. More...
void | RemoveAboveValue (SQInteger value)
| Removes all items with a higher value than 'value'. More...
void | RemoveBelowValue (SQInteger value)
| Removes all items with a lower value than 'value'. More...
void | RemoveBetweenValue (SQInteger start, SQInteger end)
| Removes all items with a value above start and below end. More...
void | RemoveValue (SQInteger value)
| Remove all items with this value. More...
void | RemoveTop (SQInteger count)
| Remove the first count items. More...
void | RemoveBottom (SQInteger count)
| Remove the last count items. More...
void | RemoveList (GSList *list)
| Remove everything that is in the given list from this list (same item index that is). More...
void | KeepAboveValue (SQInteger value)
| Keep all items with a higher value than 'value'. More...
void | KeepBelowValue (SQInteger value)
| Keep all items with a lower value than 'value'. More...
void | KeepBetweenValue (SQInteger start, SQInteger end)
| Keep all items with a value above start and below end. More...
void | KeepValue (SQInteger value)
| Keep all items with this value. More...
void | KeepTop (SQInteger count)
| Keep the first count items, i.e. More...
void | KeepBottom (SQInteger count)
| Keep the last count items, i.e. More...
void | KeepList (GSList *list)
| Keeps everything that is in the given list from this list (same item index that is). More...
void | Valuate (void *valuator_function, int params,...)
| Give all items a value defined by the valuator you give. More...

## Additional Inherited Members
Public Types inherited from GSStationList_Cargo
enum | CargoSelector { CS_BY_FROM, CS_VIA_BY_FROM, CS_BY_VIA, CS_FROM_BY_VIA }
| Criteria of selecting and grouping cargo at a station. More...
enum | CargoMode { CM_WAITING, CM_PLANNED }
| Ways of associating cargo to stations. More...
Public Types inherited from GSList
enum | SorterType { SORT_BY_VALUE, SORT_BY_ITEM }
| Type of sorter. More...
Static Public Attributes inherited from GSList
static const bool | SORT_ASCENDING = true
| Sort ascending.
static const bool | SORT_DESCENDING = false
| Sort descending.

## Detailed Description

Creates a list of origin stations of cargo planned to pass a station going via another station, with the monthly amounts of cargo planned for each of those origin stations as values.

## Constructor & Destructor Documentation

## ◆ GSStationList_CargoPlannedViaByFrom()

GSStationList_CargoPlannedViaByFrom::GSStationList_CargoPlannedViaByFrom | ( | StationID | station_id,
|  | CargoID | cargo,
|  | StationID | via
| ) |  |

Parameters

  station_id | Station to query for planned flows.
  cargo | Cargo type to query for.
  via | Next hop to restrict the query with.